org.eclipse.actf.model.dom.odf.style

## Interface TextPropertiesElement

All Superinterfaces:
  Element, Node, ODFElement, StylePropertiesBase

    public interface TextPropertiesElement
    extends StylePropertiesBase

Interface for <style:text-properties> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttrFormatBackgroundColor()`
`String` `getAttrFormatColor()`
`String` `getAttrFormatFontFamily()`
`String` `getAttrFormatFontSize()`
`String` `getAttrFormatFontStyle()`
`String` `getAttrFormatFontWeight()`
`String` `getAttrStyleFontFamilyAsian()`
`String` `getAttrStyleFontFamilyComplex()`
`String` `getAttrStyleFontFamilyGeneric()`
`String` `getAttrStyleFontName()`
`String` `getAttrStyleFontPitch()`
`String` `getAttrStyleFontPitchAsian()`
`String` `getAttrStyleFontPitchComplex()`
`String` `getAttrStyleFontSizeAsian()`
`String` `getAttrStyleFontSizeComplex()`
`String` `getAttrStyleTextPosition()`
`String` `getAttrStyleTextUnderlineStyle()`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.style.StylePropertiesBase

`getType`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrStyleFontName

    String getAttrStyleFontName()

#### getAttrStyleFontFamilyGeneric

    String getAttrStyleFontFamilyGeneric()

#### getAttrStyleFontPitch

    String getAttrStyleFontPitch()

#### getAttrStyleFontFamilyAsian

    String getAttrStyleFontFamilyAsian()

#### getAttrStyleFontPitchAsian

    String getAttrStyleFontPitchAsian()

#### getAttrStyleFontSizeAsian

    String getAttrStyleFontSizeAsian()

#### getAttrStyleFontFamilyComplex

    String getAttrStyleFontFamilyComplex()

#### getAttrStyleFontPitchComplex

    String getAttrStyleFontPitchComplex()

#### getAttrStyleFontSizeComplex

    String getAttrStyleFontSizeComplex()

#### getAttrStyleTextUnderlineStyle

    String getAttrStyleTextUnderlineStyle()

#### getAttrStyleTextPosition

    String getAttrStyleTextPosition()

#### getAttrFormatFontFamily

    String getAttrFormatFontFamily()

#### getAttrFormatFontSize

    String getAttrFormatFontSize()

#### getAttrFormatFontStyle

    String getAttrFormatFontStyle()

#### getAttrFormatFontWeight

    String getAttrFormatFontWeight()

#### getAttrFormatColor

    String getAttrFormatColor()

#### getAttrFormatBackgroundColor

    String getAttrFormatBackgroundColor()